#include <iostream>

using namespace std;

int main()
{
    int t, i;
    cin>>t;
    int x[t][4]={0};
    for(i=0;i<t;i++)
        cin>>x[i][0]>>x[i][1]>>x[i][2];

    int tag, bkkell=0;
    for(i=0;i<t;i++)
    {
        tag=x[i][0]/x[i][2];
        bkkell=tag/2*(tag+1);
        if(tag%2==1)
            bkkell+=tag/2+1;
        bkkell+=x[i][0]%x[i][2]*(tag+1);
        if(bkkell<=x[i][1])
            x[i][3]=1;
    }
    for(i=0;i<t;i++)
        if(x[i][3]==1)
            cout<<"Tak"<<endl;
        else
            cout<<"Nie"<<endl;


    return 0;
}